Main

Welcome to Win Ghost help.

Created by: Jimmy H, Woawsee Soft


Introduktion

Introduction

Win Ghost was created as a program to help the user to know when the computer finished a big operation. And after that, the program can do specific tasks the user has set.

Win Ghost works perfect when you do a long computer-operation such as:

  • Disk-scan
  • Downloading a file
  • Virus-check
  • Defrag
  • Rendering a image

Well, the possibilities are endless. Just set Win Ghost and let it watch and then execute whatever action you have set. Check the "Tutorials" section to see some examples of Win Ghost usage.


About

Product name: Win Ghost

Version: 3.00

Status: Freeware

Developed by: Jimmy H, Woawsee Soft

Release date: 15 January 2004

Copyright: Jimmy H, Woawsee Soft

Homepage: www.woawseesoft.com

Contact: info@woawseesoft.com


About

-- License agreement --

This software is copyright © 2002 Jimmy H. All rights reserved. This software is provided "as is", without any warranty whatsoever, implied or otherwise. Under no circumstances will Jimmy H or Woawsee Soft be liable for any loss or damage caused by use or misuse of this software. Any reverse engineering, decompilation or modification of this software is strictly prohibited. Public distribution of this software on any physical media (i.e. other than through the Internet or bulletin boards) without permission is strictly prohibited - see below. By installing and using this software you agree to be bound by the terms of this agreement. You may not copy for re-publication in whole or part of any aspect of Win Ghost; it's content, code, graphics and/or editorial.

-- Distribution --

This is free software - you may freely copy this software provided it is not altered in any way, and no money is charged for the distribution.

If you wish to publish this software through a website (e.g. download place), please contact us (e-mail: info@woawseesoft.com) and tell us where the software is published.

If you wish to include this software on a magazine CD or other physical media, please contact us (e-mail:
info@woawseesoft.com) and tell us which magazine this software is included.

-- Contact --

Mail: info@woawseesoft.com
Website: http://www.woawseesoft.com

Copyright © 2002, Jimmy H (Woawsee Soft). All Rights Reserved.


Menubar

Menu

Win Ghost doesn't have a regular menu. Win Ghost have buttons.

Start/Stop
When you are ready to go, you click here to start. After you have started Win Ghost, neither triggers/actions or options can be modified. If Win Ghost is already on, a red stop button and a text that says stop will appear here. And when you click it, Win Ghost stops.

About
Click here to find about some info about the program.

Help
Click here to open and display this help-file.

Exit
Click here to close Win Ghost. Works exactly the same as if you where clicking the close button in the window-name bar.


Status bar

The status bar keeps track on how much time has passed in Hours, Minutes and Seconds since Win Ghost was started. When a trigger has been found then time will be reset. And Win Ghost will stop. At the right side you will se a bar be filling with green that indicates that Win Ghost is activated and searching for triggers or performing actions.


Triggers

Win Ghost needs a trigger so it knows what it should look for. Select one or many triggers by clicking in the boxes.

Timer
Select either hours , minutes or seconds. After that you select how many hours, minutes or seconds you want until Win Ghost performs an action.

A window will appear
This trigger will allow Win Ghost to check for a certain window to appear. When the window appear, it will perform the action/actions you have selected. There are 2 options:

  • Any - This option will match any window that appears.
  • Name - Win Ghost will search all types of windows that appears with the name you entered. You can use wildcards when you write in a name. The character * replaces any number of characters. The ? will replace any character at a given place. See the example below.

The list on the right side contains all previous found window names. When you write in a name to track and start Win Ghost and Win Ghost finds it, it will add it to the list. The next time you can see the name in the list so if you want to track the same program you don't have to write in the name again. Only select it from the list. The button "Clear" will clear the list.

Example 1: *Scandisk* - This matches all windows that have scandisk in their name. Matching windows can be: Multiscandisk or Scandisk - 98%.
Example 2: scan?is? - Matching windows can look like this: Scaneist, scan2is4.

Important: You can not have a matching window-name open when you select the name option.
Important 2: Win Ghost only works with windows that are made from the standard windows.

A window will disappear
This works same as the above but instead of looking for a window to appear Win Ghost looks for a window to disappear. Choose either any or name options.

The list on the right side contains all open visible window names that you can track. You can select one of them or write in a new name. Click the "Update" button if you start the program you want to track after you start Win Ghost. After you clicked the "Update" button the window name will be in the list.

Important: Win Ghost needs to find this window-name at the start. So be sure that the window is already open when you start Win Ghost.
Important 2: Win Ghost only works with windows that are made from the standard windows.


Actions

As with triggers, actions is very important for Win Ghost. You must select 1 or more actions to be performed. Click in the boxes on the left side of the action name you want to use. As with triggers you can have multiple actions.

Close Win Ghost
This action will only close Win Ghost after a trigger has been found. There are no settings available for this action.

Play Sound
When you choose this you can play a sound when a trigger has been found. Click on the folder-button to select a sound-file you want to play. There are 8 different sounds that are distributed with Win Ghost. the sound "Jingle" is default.

Execute File
With this option you can execute any file. Click the open button to select a file you want to execute when Win Ghost finds a trigger. You can also execute a web file e.g. http://www.yourdomain.com/file.htm. If you want to execute a web file you must always start the address with http:// or ftp://.

With this new action (Win Ghost 3.0) will let you to extend Win Ghosts features. Read more about this in the "plug-ins" section.

Exit Windows

This feature makes it very handy to start doing a long computer operation and then leaving your computer. When this action is called, Win Ghost can either shutdown, reboot or force a shutdown on your computer.

  • Try Shutdown - This will shutdown your computer and screen if your screen supports the power off feature. If you have opened any programs that needs to be saved before they can close, each of the programs will display a dialog that will ask you to save.
  • Reboot - This will reboot your computer.
  • Force Shutdown - This will force Windows to shutdown. Even if you have programs that wants to display dialogs that asks you to save, it will override them and shutdown any way.

Other options:

  • Confirm - This will display a dialog and wait for you to abort or confirm.
  • Timed Confirm - If you choose this option you will need to set a timer for how long the dialog will be displayed and giving you the option to abort or confirm. If you do not abort, the action will carry on.
  • Don't Confirm - No dialog is displayed. And windows will do the selected Exit Windows-style.


Options

Options are set by default. And this is not a vital operation in Win Ghost. So you can leave this part if you want to.

Tray-Icon Options
When you run Win Ghost you will se a little ghost in the tray area. With this option, you can select how the ghost will be displayed.

  • Animated - When Win Ghost is activated the ghost in the tray will be filling with green.
  • Static - No animation. Only a green or white ghost will be displayed.

Screensaver
For some programs screensaver can be a pain. For e.g. Scandisk. This option will allow you to manipulate the screensaver. Remember that the screensaver will be restored when you exit Win Ghost.

  • On - The screensaver will be on.
  • Off - The screensaver will be off.

Check for updates
When you click this button your default web browser will open and you will be taken to a page that will confirm if you have the latest version installed. Make sure you are connected to internet when you click this button.


Tray-Icon

The tray-icon is in the form of a little ghost. And you will find him in the tray-area.
If you move your mouse over the ghost a tool-tip will be displayed with the program name "Win Ghost". Right-click once to bring up a menu. Double-click the left mouse-button to make the Win Ghost program appear.

Status
The tray-icon will reflect in what status Win Ghost has. There are 3 status-modes.

  • Working Animated [image] - This ghosts shows when Win Ghost is currently working. The little ghost will be filled with green color. This is the default. This happens when you click the start-button.
  • Working Static [image] - This ghost shows when you checked the "Static" in the "tray-icon options" under options and you clicked the start-button. Works exactly the same as above only the ghost will show a static green color.
  • Stopped [image] - This ghost will be displayed when Win Ghost doesn't do any work.

Menu
If you right-click on the tray-icon a menu will appear. The menu has 2 options.

  • Show - This will show Win Ghost. You can also double click on the ghost icon.
  • Exit - This will close Win Ghost.


Plugin info

Plug-ins - General info

What is a plug-in? The correct term would be that it is a file that extends a programs features. Win Ghost doesn't support ordinary plug-ins. In the sense of extracting info or modifying Win Ghost. The correct term for Win Ghost plug-ins would be: "external executable module".
But Win Ghost plug-ins does extends the features so therefore the name "plug-in".

MailMe is a plug-in that comes with Win Ghost. It is an example on how to add extra features to Win Ghost. In this case adding mailing support. Read more about MailMe in the "MailMe" section.


Plugin execute

Plug-ins - Executing a plug-in

Executing a plug-in is very simple in Win Ghost.

1. Go to "Actions".

2. Check the "Execute file" box.

3. If the file is located on your hard drive, then chose which file by clicking the folder button. If it is a web page then write in the full address (including http:// or ftp://) in the file box.

That's it. That is the basics of executing a plug-in. It is often a good idea to virus-check a plug-in you downloaded. You can also check the source code if provided. Also read the instructions on how to use the plug-in. Often it is included in a readme.txt file.


Plugin write

Plug-ins - Writing plug-ins

Writing a plug-in is pretty simple. A plug-in could be written in any language. As long the file can be executed. You can write the code in:

  • C++
  • Visual Basic
  • Java
  • Delphi
  • Visual Basic
  • PHP
  • ASP
  • VB script

Any language goes. A few guidelines:

  • Code must be executed directly when the plug-in is called.
  • If you provide installer program for your plug-in, install your plug-in a new directory that is named after your plug-in. Then in the plug-in directory. (e.g. C:\Program Files\Win Ghost\plugin\yourpluginname\)
  • If you want to distribute your plug-in, ALWAYS provide a readme.txt file on how to use the plug-in.
  • Provide a config file that can be easy manipulated.

You can view a plug-in sample in the directory "Win Ghost\plugin\mailme\"

Please let us know about your plug-in and we can post a link on our website to your website and your plug-in.


Plugin MailMe

Plug-ins - MailMe

The Plug-in MailMe (written in PHP) serves as a workable sample on how to add extra features to Win Ghost. MailMe will add the a mail sending feature to Win Ghost. For info on how to use the MailMe plug-in read the "readme.txt" file that is located in "plugins/mailme" in your Win Ghost directory.

"Example 2" in this help file will show you a situation where the plug-in can come in handy.


Example 1

This example will show you how to use Win Ghost. For a more advanced example using a plug-in, view "Example2". Let's say I am going to download a big file (300 Mb). And I want to leave the computer because I am going to school. Instead of letting my computer stay on all day I want it to shutdown after a download has been completed. My download program closes the download-window after a download has been completed. How do I do that? Well, Win Ghost takes care of everything.

1. Start your download. My download window looks like this:

This is the name of the window. "Downloading....BigFile.zip...." doesn't change but the percent changes all the time. It increases. So how to capture this trigger then?

2. Start Win Ghost. Go to the trigger "a window will disappear" (because when my download program is finished it will close).

Select from the "Window disappear list" the name of the window you want to track. In our example we select the "Downloading....BigFile.zip....(2%)".

3. Edit the name so it will look like this:

We edit the name "Downloading....BigFile.zip....(2%)" to "Downloading*" this we do because the percent (2%) will increase. So by doing this will say that Win Ghost should track a window called "Downloading" + something. The * means any number of characters.

Notice that I have set 2 triggers. Besides the "A window will disappear" trigger I have also set the timer trigger. This means that if my download is not complete within 2 hours I want to abort the download. You don't have to have 2 triggers but I wanted to.

4. Action time. Now we set up what type of action we want.

Alright. I have set the action to close down my computer. No confirm is selected because I am not home to confirm. I don't either want no sound to play. "Close Win ghost" is unchecked because Exit Windows also closes Win Ghost. In "Example 2" of this help file there will be an example on how to use "Execute file". But here we leave this empty.

5. Options

I changed the option a little bit. First I selected static Tray-Icon because I am not home I don't need to see the cool animation. Also I put the screensaver on. This I did because I know my download program and Win Ghost don't care if a screensaver is on or off. So it is better for my computer-screen to have it on.

6. Start

Now you are done. Click on the start-button.

That's it. It took only a few seconds. Now I can go to school. When Win Ghost sees that the download window has disappeared Win Ghost will close Windows. If the download window hasn't disappeared within 2 hours Win Ghost will shutdown any way.


Example 2

This is a more advanced example using the plug-in "MailMe".

The Scenario: I am going to visit a friend that lives in a different city. 19.00 (07.00 p.m) "Seinfeld" starts on TV. I don't want to miss that show. So I am going to record it on my TV-Card (WinFast) that is connected to my computer. So how can I record it and have my computer shutdown (I am going to be away for a couple of days)? And then be able to check if and when a trigger was found. That is easy. With the plug-in "MailMe" I'll be able to check my email though my mobile phone (WAP) and then receive information from Win Ghost.

My "Win Fast" software let me record a show at any given time and when it has finished, it will close the "Win Fast" software.

1. Start with configuring the "MailMe" plug-in, you only have to this once. Open the "config.php" file in a edit program (Notepad) and fill in the information ,then save it. I'm going to use password protection (read more in the readme.txt).

Important: When you save the file you must save over the old file. And the name have to be "config.php". If you use "Notepad", double check to see that "Notepad" did not add a .txt extension (e.g. config.php.txt). If it did, rename the file to "config.php"

2. Upload "config.php" and "mailme.php" to your web server. In this case I upload the 2 files to http://www.woawseesoft.com/mailme.

3. Start the application you want to track. In this case I start the "Win Fast" software.

4. Start Win Ghost and set triggers. I set the "A window will disappear" trigger. Select the Win Fast window name that is automatically displayed in the name box.

5. Select the action "Execute file" and then write in the web address where "MailMe" is located. In this case: http://www.woawseesoft.com/mailme/mailme.php?password=qwerty. The "?password=qwerty" is added at the end of the file because "MailMe" is protected. If I did not password protect the file this could be omitted.

6. The action "Exit Windows" is selected to make Win Ghost close Windows when it finds that the "Win Fast" window has closed. Why have i set the "Timed Confirm" instead of "Don´t Confirm" option? I am not home to confirm, you might think. But. "Execute file" must have some time before Windows shuts down. So now "MailMe" have 5 minutes to execute. If I had set it to "Don't Confirm" then "MailMe" would not have time to execute. Remember this.

7. Start Win Ghost

And that is the end. So what will happen now? Well, while I am away my "Win Fast" Software will start recording "Seinfeld" at 19.00 (7.00 p.m) 30 minutes later "Win Fast" will stop recording and then close it self. When that happens, Win Ghost can not find the "Win Fast" window and a trigger has been found. Win Ghost will then fire all actions. First it will execute the "Execute file" action. This will open the web page "http://www.woawseesoft.com/mailme/mailme.php?password=qwerty. From there it will send me a mail to my mailadress with information on when this web page was opened (just after "Seinfeld" ended).

Then about 1 minute later Windows shuts down. So when I come home later my computer is shutdown and the "Seinfeld" episode is on the hard drive.


Tips

Test.
It's a good idea to do a test-run with Win Ghost and the program you want to run with before you leave your computer so you'll know what should happen.

Shutting down both computer screen and computer even if power-off not supported.
If your screen doesn't support the Power-Off feature and you have selected the use of "Exit Windows". Then you can just turn off the screen and leave your computer and Win Ghost at work. Even if the screen is not on Win Ghost will still work correctly.

Computer will shutdown even if error from the window that been tracked.
If you plan to leave your computer and has set the action "Exit Windows". And you want to make sure that your computer will be shutdown even if a error message will be displayed from the window you are tracking. If you set the "any" option in the "A window will appear trigger". Then Win Ghost will look for any dialogs/windows that comes up. And if it does, Windows will shutdown or do what any actions you have set. Another way to do it is to choose the "Timer" trigger.

Test with all programs.
There is no list on how many programs that Win Ghost supports. Because it will be a list of millions. So you can try and test it with all kinds of programs.


Q and A

Questions And Answers

Q: In the tips section you talked about that my computer and screen shutdown if my screen supported power-off, What is this?
A: This is when your computer screen automatically turns off when your computer is shutting down. Almost all new screens support this.

Q: Win Ghost doesn't seem to sense my download program, why?
A: Win Ghost can track any window as long it is made from the standard windows and it is not contained in one other window (child-window) or when a window has one name when it is visible and one other when it's minimized (See below how to override this).

Q: The timer doesn't seem to work exactly by the second?
A: The timer trigger can be slowed down a couple of seconds if your are working with the computer when Win Ghost is working.

Q: My program has one name when it's visible and one other when it's minimized, can i somehow track it anyway?
Yes, don't minimize it! Let it be open and visible.

Q: I get a lot of error messages when i try to start Win Ghost, what should i do?
A: Follow the instructions and read the whole help-file. Still no solution? Contact us.

Q: Is there any plans for Win Ghost updates?
A: Yes.